#include <bits/stdc++.h>
using namespace std;
using ll=long long;
#define endl "\n"
void solve(){
    int n,h,ans=-1;cin>>n>>h;
    int a[n];
    for(int i=0;i<n;i++)cin>>a[i];
    for(int i=0;i<n;i++){
        if(h>=a[i]){ans=i+1;break;}
    }
    cout<<ans<<endl;
}
int main(){
    ios_base::sync_with_stdio(false);cin.tie(0);
    int t=1;//cin>>t;
    while(t--)solve();
    return 0;
}